MAIN_PAGE_NAME   = "Jungle Wars 2/main.html"


-- ==============================================================================================
-- INTERNAL VARIABLES FOR MISC USE
-- ==============================================================================================


-- ==============================================================================================
-- ==============================================================================================
-- This runs once before doLogic ever runs
function init()
	loadHTML(MAIN_PAGE_NAME)
	callJSFunction("clearAllData")
end


-- ==============================================================================================
-- ==============================================================================================
-- This handles messages sent by the emulator, like if the player presses certain buttons or
-- other events happen within the emulator itself
function getMessage(str)
	if str == "resetgame" then
		init()
	elseif str == "loadstate" then
		init()
	end
end


-- ==============================================================================================
-- ==============================================================================================
-- All main logic goes in here & gets called once per CPU cycle
function doLogic()

end


-- ==================================================================================================
-- MAIN LOGIC (SCRIPT DISPLAYING, ETC.)
-- ==================================================================================================

-- I didnt test this much but this seems to work somewhat right at first glance
function PC_8663()
	
	local lineID = getMemory(0x532, 3)
	
	-- this lineID thing works when talking to people, but treasure chests don't use the same math so treasure chests will be wonky
--[[	local lineID = getMemory(0x5A6, 3)

	local textType = getMemory(0x5A8, 1)
	if textType == 0x13 then
		lineID = lineID - 0x13C700
		lineID = lineID >> 1
	else
		lineID = lineID - 0x13C700
	end]]--
	
	
	
	-- if we're dealing with a chest
	
	writeHTML("devinfo", "Line ID: " .. lineID)
	callJSFunction("clearAllData")
	callJSFunction_Str("displayScriptDiv", "#line-" .. lineID)
end
